ubuntu安装JDK8和eclipse

下载jdk1.8.0_211的压缩包

在安装之前先输入java -version查看是否已经安装了OPENJDK,若已经安装OPENJDK,则执行sudo apt-get remove openjdk*来卸载OPEDJDK。

  1. 压缩包名称
    jdk-8u211-linux-x64.tar.gz

  2. 终端当前目录输入tar -zxvf jdk-8u211-linux-x64.tar.gz解压

  3. mv jdk1.8.0_211 /opt/java/移动到/opt/java/下

  4. vim /etc/bash.bashrc打开环境变量配置文件

  5. 在文件末尾加上下方内容,编辑完ESC,:wq保存退出

    #Set jdk environment
    JAVA_HOME=/opt/java/jdk1.8.0_211
    CLASSPATH=.:$JAVA_HOME/bin.tools.jar
    PATH=$JAVA_HOME/bin:$PATH
    export JAVA_HOME CLASSPATH PATH
  6. source /etc/bash.bashrc立即生效

  7. 终端输入
    java
    javac
    java -version
    验证jdk环境变量是否正确。


安装eclipse

  1. 下载eclips压缩包,文件名:eclipse-java-2019-03-R-linux-gtk-x86_64.tar.gz

  2. tar -zxvf eclipse-java-2019-03-R-linux-gtk-x86_64.tar.gz解压文件

  3. sudo mv eclipse /opt/ 移动到/opt/目录下

  4. cd /usr/share/applications/

  5. sudo vim eclipse.desktop

  6. 输入以下内容:

    [Desktop Entry]
    Encoding=UTF-8
    Name=Eclipse
    Comment=Eclipse IDE
    Exec=/opt/eclipse/eclipse
    Icon=/opt/eclipse/icon.xpm
    Terminal=false
    Type=Application
    Categories=GNOME;Application;Development;
    StartupNotify=true

    保存退出。

  7. 回到桌面,点击启动器图标,找到eclipse图标点击,启动,若启动报错,出现如下错误:

    A Java RunTime Environment (JRE) or Java Development Kit (JDK) must be available in order to run Eclipse. No java virtual machine was found after searching the following locations:…

则在eclipse目录下,终端输入
mkdir jre
cd jre
ln -s /opt/java/jdk1.8.0_211/bin bin
把/opt/java/jdk1.8.0_211替换为你的jdk目录即可

文章作者: LWF
文章链接: http://yoursite.com/post/a241e1b8.html
版权声明: 本博客所有文章除特别声明外,均采用 CC BY-NC-SA 4.0 许可协议。转载请注明来自 LWF code
打赏
  • 微信
  • 支付寶

评论